com.amazon.redshift.core

## Class Tuple

- java.lang.Object
- - com.amazon.redshift.core.Tuple

    public class Tuple
    extends Object

Class representing a row in a `ResultSet`.

### Constructor Summary

Constructors
Constructor and Description
`Tuple(byte[][] data)` Construct a populated tuple.
`Tuple(byte[][] data, int rowSize)`
`Tuple(int length)` Construct an empty tuple.

### Method Summary

Methods
`int` `fieldCount()` Number of fields in the tuple
`byte[]` `get(int index)` Get the data for the given field
`int` `length()` Total length in bytes of the tuple data.
`Tuple` `readOnlyCopy()` Create a read-only copy of the tuple
`void` `set(int index, byte[] fieldData)` Set the given field to the given data.
`Tuple` `updateableCopy()` Create a copy of the tuple for updating.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tuple

    public Tuple(int length)

Construct an empty tuple. Used in updatable result sets.

Parameters:
  `length` - the number of fields in the tuple.

#### Tuple

    public Tuple(byte[][] data)

Construct a populated tuple. Used when returning results.

Parameters:
  `data` - the tuple data

#### Tuple

    public Tuple(byte[][] data,
         int rowSize)

### Method Detail

#### fieldCount

    public int fieldCount()

Number of fields in the tuple

Returns:
  number of fields

#### length

    public int length()

Total length in bytes of the tuple data.

Returns:
  the number of bytes in this tuple

#### get

    public byte[] get(int index)

Get the data for the given field

Parameters:
  `index` - 0-based field position in the tuple
Returns:
  byte array of the data

#### updateableCopy

    public Tuple updateableCopy()

Create a copy of the tuple for updating.

Returns:
  a copy of the tuple that allows updates

#### readOnlyCopy

    public Tuple readOnlyCopy()

Create a read-only copy of the tuple

Returns:
  a copy of the tuple that does not allow updates

#### set

    public void set(int index,
           byte[] fieldData)

Set the given field to the given data.

Parameters:
  `index` - 0-based field position
  `fieldData` - the data to set